Skip to main content
GET
Retrieve quota
GET /v1/projects/{projectId}/quota returns the V1 body below, or 204 when the project has no V1 quota. A project that only has a V2 quota is 204 here. Read that quota with Retrieve a quota (GET /quotas), which returns this same V1 body when that is what the project still has.

Headers

x-api-key
string
required
x-api-secret
string
required

Path Parameters

projectId
string
required

Response

Quota retrieved successfully

progress
object
required

Quota progress by segment ID

Example:
id
string<ObjectId>
projectId
string<ObjectId>
version
enum<string>
Available options:
v1
totalTarget
number
Required range: x >= 1
status
enum<string>
Available options:
IN_PROGRESS,
FILLED
criteria
object
createdAt
string<date-time>
updatedAt
string<date-time>
Last modified on October 20, 2026